Bug 1171341

Summary: texlive-kpathsea-bin rpm output with wrong permissions
Product: [openSUSE] openSUSE Tumbleweed Reporter: Marina Latini <marina.latini>
Component: OtherAssignee: Dr. Werner Fink <werner>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Enhancement    
Priority: P5 - None CC: alynx.zhou
Version: Current   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Marina Latini 2020-05-07 08:37:36 UTC
Hello,
this is the additional rpm output while installing the package update:

-----------------
Installing: texlive-kpathsea-bin-2019.20190407.svn50281-68.4.x86_64 ..........................................................................................................................................................................[done]
Additional rpm output:
setting /usr/lib/mktex/public to root:mktex 2755. (wrong permissions 0755)
-----------------

Information for package texlive-kpathsea-bin:
---------------------------------------------
Repository     : Main Repository (OSS)
Name           : texlive-kpathsea-bin
Version        : 2019.20190407.svn50281-68.4
Arch           : x86_64
Vendor         : openSUSE
Installed Size : 112.5 KiB
Installed      : Yes
Status         : up-to-date
Source package : texlive-2019.20190407-68.4.src
Summary        : Binary files of kpathsea
Description    : 
    Binary files of kpathsea


System info:
------------
NAME="openSUSE Tumbleweed"
VERSION_ID="20200501"
------------
Comment 1 Dr. Werner Fink 2020-05-14 09:04:48 UTC
Fixed with SR#805514 for TeXLive 2020
Comment 2 Dr. Werner Fink 2020-05-14 09:09:02 UTC
Fixed with SR#805514 for TeXLive 2020
Comment 3 OBSbugzilla Bot 2020-05-14 09:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1171341) was mentioned in
https://build.opensuse.org/request/show/805514 Factory / texlive
Comment 4 Dr. Werner Fink 2020-05-14 11:36:02 UTC
Args ...

[ 1265s] texlive-kpathsea-bin.x86_64: E: permissions-file-setuid-bit (Badness: 10000) /usr/lib/mktex/public is packaged with setuid/setgid bits (02755)
[ 1265s] If the package is intended for inclusion in any SUSE product please open a bug
[ 1265s] report to request review of the program by the security team. Please refer to
[ 1265s] https://en.opensuse.org/openSUSE:Package_security_guidelines#audit_bugs for
[ 1265s] more information.
[ 1265s] 
[ 1265s] (none): E: badness 10000 exceeds threshold 1000, aborting.
[ 1265s] 215 packages and 0 specfiles checked; 1 errors, 415 warnings.

sonetine it is better to ignore additional rpm output ;}
Comment 6 OBSbugzilla Bot 2020-05-25 15:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1171341) was mentioned in
https://build.opensuse.org/request/show/808817 Factory / texlive